function myspectrogram (x,Fs,logorlin)

% Function to display spectrogram

if nargin<3, logorlin=''; end
figure
% F = linspace(0.5,5,256);
F = linspace(0,5,256);

wL=12;
[~,f,t,p] = spectrogram(x,hann(Fs*wL),round(Fs*(wL-1)),F,Fs); 
if strcmp(logorlin,'log'), p=10*log10(p); end
surf(t,f,p,'EdgeColor','None');
axis tight;
g=jet;
colormap(g);
view(0,90);
xlabel('Time [s]');
ylabel('Frequency [Hz]');

end